love.load = function ()
	utils = require "utils"
	img = love.graphics.newImage("imagen.jpg")
	rect = false
	drawing = false
	width = 0
	height = 0
	g = {
		x = 0,
		y = 0
	}
	selectable = {
		"Fill",
		"Fit",
		"Expand",
		"Center",
	}
	keys = {a = 1, f = 2,e = 3, c = 4}
	selected = 1
	scissor = false
end

love.update = function (dt)
	if drawing then
		local currx, curry = love.mouse.getPosition()
		width = currx -g.x
		height = curry - g.y
	end
	if rect and not drawer then
		if width < 0 then g.x,width = g.x + width, -width end
		if height < 0 then g.y,height = g.y + height, -height end
		drawer = utils.imagen(selectable[selected],img,g.x,g.y,width,height)
	end
end

love.draw = function ()
	if scissor then
		local x,y,w,h = 0,0,800,600
		if width < 0 then 
			x,w = g.x + width, -width
		else
			x,w = g.x, width
		end
		if height < 0 then 
			y,h = g.y + height, -height
		else
			y,h = g.y, height
		end
		love.graphics.setScissor(x or 0,y or 0,w or 800,h or 600)
	end
	if drawer then
		drawer()
	end
	love.graphics.setScissor()
	love.graphics.print(selectable[selected],5,10)
	love.graphics.setColor(255,0,0)
	love.graphics.printf("A: Fill - F: Fit - E: Expand - C:Center",20,10,love.window.getWidth()-20,"right")
	love.graphics.printf("Click and Drag to draw",20,25,love.window.getWidth()-20,"right")
	love.graphics.printf("Press S to activate scissors",20,40,love.window.getWidth()-20,"right")
	love.graphics.setColor(255,255,255)
	if pri then
		love.graphics.print(pri,20,50)
	end
	if drawing then
		love.graphics.setColor(255,0,0)
		love.graphics.rectangle("line",g.x,g.y,width,height)
		love.graphics.setColor(255,255,255)
	end
	if rect then
		love.graphics.rectangle("line",g.x,g.y,width,height)
	end
end

love.mousepressed = function (x,y,b)
	rect = false
	drawing = true
	drawer = nil
	g.x, g.y = x, y
end

love.mousereleased = function (x,y,b)
	rect = true
	drawing = false
end

love.keypressed = function (k)
	if keys[k] then selected = keys[k] end
	if k == "s" then scissor = not scissor end
	if k == "escape" then love.event.quit() end
end