local utils = {
	imagen = function (typ, image, vx, vy, w, h)
		local typ = typ:lower()
		local width, height = image:getDimensions()
		local scale, offset
		if not(typ == "expand" or typ == "center") then
			local scl
			if h/height > w/width then 
				if typ == "fit" then scl = w/width elseif typ == "fill" then scl = h/height end
			else 
				if typ == "fit" then scl = h/height elseif typ == "fill" then scl = w/width end
			end
			scale = {x = scl, y = scl}
			offset = {
				x = (w - width*scale.x) / 2;
				y = (h - height*scale.y) / 2
			}
		elseif typ == "expand" then
			scale = {
				x = w/width;
				y = h/height
			}
			offset = {x = 0, y = 0}
		elseif typ == "center" then
			scale = {x = 1, y = 1}
			offset = {
				x = (w - width) / 2;
				y = (h - width) / 2
			}
		end
		if not (offset and scale) then return end
		return function(r, sx, sy, ox, oy, kx, ky)
			local r, ox, oy, sx, sy, kx, ky = r or 0, ox or 0, oy or 0, sx or 1, sy or 1, kx or 0, ky or 0
			love.graphics.draw(image, vx + offset.x, vy + offset.y, r, scale.x * sx, scale.y * sy, ox, oy, kx, ky) 
		end
	end
}

return utils